<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>BotUI - Hello World</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/botui/build/botui.min.css" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/botui/build/botui-theme-default.css" />
  </head>
  <body>
  <div class="botui botui-container">
  <div class="botui-messages-container">
    <div class="botui-message"> <!-- This element will also have any classes applied via 'cssClass' to 'message' -->
      <div :class="[{human: msg.human, 'botui-message-content': true}, msg.type]"><!--  -->
        <span></span> <!-- If type is text, this will hold that text -->
        <iframe></iframe> <!-- If type is embed -->
      </div>
    </div>
  </div>
  <div class="botui-actions-container">
    <div>
        <form class="botui-actions-text" :class="action.cssClass">  <!--  -->
        <input class="botui-actions-text-input" :class="action.text.cssClass" required/> <!--  -->
        <button class="botui-actions-text-submit">Go</button> <!-- only present on mobile devices -->
        </form>
        <div class="botui-actions-buttons" :class="action.cssClass"> <!--  -->
          <button :class="button.cssClass" class="botui-actions-buttons-button"> <!--  -->
          <i class="botui-icon botui-action-button-icon fa" :class="'fa-' + button.icon"></i> <!--  -->
          <!-- button text -->
        </button>
      </div>
    </div>
  </div>
</div>
    <div class="botui-app-container" id="hello-world">
      <bot-ui></bot-ui>
    </div>
    <script src="https://cdn.jsdelivr.net/vue/latest/vue.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/botui/build/botui.js"></script>
    <script>
      var botui = new BotUI('hello-world');

      botui.message.add({
	  delay: 1000,
	  loading: true,
        content: 'Hello World from bot!'
      }).then(function () { // wait till previous message has been shown.

        botui.message.add({
          delay: 2000,
		  loading: true,
          human: true,
          content: 'Hello World from human!'
        });
		botui.message.add({

		delay: 3000,
		loading: true,
		type: 'embed',
		human: 'true',
        content: 'https://www.youtube.com/embed/vO7mYllaFao'
});
      });

	  botui.message.add({

}).then(function (index) {
  // do some stuff like ajax, etc.

  botui.message.update(index, {
    delay:1500,
	loading: true,
	human: true,
    content: 'Hello, this is a message.'
  });
});

    </script>
  </body>
</html>
